.TH "DUMPGAME" "1" "June 2, 2013" "NiH" "General Commands Manual"
.nh
.if n .ad l
.SH "NAME"
\fBdumpgame\fR
\- extract rom set information from ckmame database
.SH "SYNOPSIS"
.HP 9n
\fBdumpgame\fR
{\fB\-b\fR\ |\ \fB\--brief\fR}
[{\fB\-D\fR\ \fIdbfile\fR\ |\ \fB\--db\fR\ \fIdbfile\fR}]
[\fIgame\fR]
.PD 0
.HP 9n
\fBdumpgame\fR
\fB\-c\fR\ |\ \fB\-d\fR\ |\ \fB\--checksum\fR\ |\ \fB\--disk\fR
[{\fB\-D\fR\ \fIdbfile\fR\ |\ \fB\--db\fR\ \fIdbfile\fR}]
\fIchecksum\fR
[\fI...\fR]
.br
.HP 9n
\fBdumpgame\fR
[\fB\-hV\fR]
[\fB\--help\fR]
[\fB\--version\fR]
.PD
.SH "DESCRIPTION"
\fBdumpgame\fR
extracts rom set information from a
ckmame(1)
database.
\fBdumpgame\fR
can also find roms matching a particular checksum.
.PP
\fBdumpgame\fR
supports the following options:
.TP 24n
\fB\-b\fR, \fB\--brief\fR
Use brief mode: don't output ROM and disk information.
.TP 24n
\fB\-c\fR, \fB\--checksum\fR
Look for a ROM by checksum (instead of the default
behaviour to look for a game by name).
.TP 24n
\fB\-D\fR \fIdbfile\fR, \fB\--db\fR \fIdbfile\fR
Use database
\fIdbfile\fR
instead of the default
\(lq\fImame.db\fR\(rq.
.TP 24n
\fB\-d\fR, \fB\--disk\fR
Look for a disk by checksum (instead of the default
behaviour to look for a game by name).
.TP 24n
\fB\-h\fR, \fB\--help\fR
Display a short help message.
.TP 24n
\fB\-V\fR, \fB\--version\fR
Display program name and version number.
.PP
The
\fIgame\fR
argument can also be one of the following special keywords:
.TP 17n
\fI/dat\fR
Names of the datfiles used for creating the database, and their
descriptions.
.TP 17n
\fI/detector\fR
Name and version of the CMPro XML header skip detector used (if any).
.TP 17n
\fI/hashtypes\fR
Types of checksums used (crc, md5, sha1).
One line each for roms and disks.
.TP 17n
\fI/list\fR
Same as
\fI/list/game\fR.
.TP 17n
\fI/list/disk\fR
List names of all disks in the database.
.TP 17n
\fI/list/game\fR
List names of all games in the database.
.TP 17n
\fI/list/sample\fR
List names of all games with samples in the database.
.TP 17n
\fI/stats\fR
List some statistics about the contents of the database.
.SH "ENVIRONMENT"
.TP 12n
\fRMAMEDB\fR
Location for the database file.
Can be overridden with the
\fB\-D\fR
option.
Defaults to
\(lq\fImame.db\fR\(rq.
.SH "EXAMPLES"
Display rom information for the game
\(lqpacman\(rq:
.RS 6n
\fBdumpgame pacman\fR
.RE
Display all roms matching the checksum
\(lqc1e6ab10\(rq:
.RS 6n
\fBdumpgame -c c1e6ab10\fR
.RE
.SH "SEE ALSO"
ckmame(1),
mkmamedb(1)
.SH "AUTHORS"
\fBdumpgame\fR
was written by
Dieter Baron <\fIdillo@giga.or.at\fR>
and
Thomas Klausner <\fItk@giga.or.at\fR>.
